using System;

namespace idktakmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            double T = double.Parse(Console.ReadLine());
            double l = 0;
            while (T != 0)
            {
                double n = double.Parse(Console.ReadLine());
                if (n <= 10) 
                {
                    l = n;
                }
                else if (n <= 24 && n >= 10)
                {
                    l = 10;
                }
                else if (n >= 25 && n <= 30)
                {
                    if (n == 30)
                    {
                        l = 10 + (n - 25);
                    }
                    else {
                        l = 10 + (n - 24);
                    }
                }
                else if (n >= 30 && n <= 34 )
                {
                    l = 15;
                }
                else if (n == 35 || n == 36)
                {
                    l = 16;
                }
                else if (n <= 39 && n >= 37)
                {
                    l = 16 + (n - 36);
                }
                else if (n == 45 || n == 46)
                {
                    l = 20;
                }
                else if (n < 45 && n > 39)
                {
                    l = 19;
                }
                else if (n == 47 || n == 48 || n == 49)
                {
                    l = 20 + (n - 46);
                }
                Console.WriteLine("{0}", l);
                T--;
            }
        }
    }
}